rm(list=ls())
library(rapportools)
setwd("~/Dropbox/Congressi/sis2014/libro-abstracts/allpaper/")
rs=read.table(file="../../gestione-submissions/subrep/report.csv",header=TRUE,sep=",",quote="\"")
ids=rs$Title%in%c("","--","federico.rotolo@gustaveroussy.fr")
rs=rs[!ids,]
# Remove Archived
rs=rs[rs$Status!="Archived",]
rs$Title=as.character(rs$Title)
res=NULL
for(i in 1:nrow(rs)){
tt=agrep(pattern=rs$Title[i],x=rs$Title,ignore.case=TRUE)
if(length(tt)>1) res=rbind(res,tt)
}
res=res[order(res[,1]),]
res=res[seq(1,nrow(res),by=2),]
rs=rs[-res[,1],]
file
dir()
idnecessarie=rs$Submission.ID
n=nrow(rs)
esistente=rep(FALSE,n)
f
f=dir()[1]
nome=strspli(f,".")
nome=strsplit(f,".")
nome
f
nome=strsplit(".",f)
nome
strsplit(f,".",fixed=TRUE)
nome[1]=substr(nome[1],1,4)
nome
nome=unlist(strsplit(f,".",fixed=TRUE))
nome[1]=substr(nome[1],1,4)
nome
paste(nome,collapse=".")
rm(list=ls())
library(rapportools)
setwd("~/Dropbox/Congressi/sis2014/libro-abstracts/allpaper/")
rs=read.table(file="../../gestione-submissions/subrep/report.csv",header=TRUE,sep=",",quote="\"")
ids=rs$Title%in%c("","--","federico.rotolo@gustaveroussy.fr")
rs=rs[!ids,]
# Remove Archived
rs=rs[rs$Status!="Archived",]
rs$Title=as.character(rs$Title)
res=NULL
for(i in 1:nrow(rs)){
tt=agrep(pattern=rs$Title[i],x=rs$Title,ignore.case=TRUE)
if(length(tt)>1) res=rbind(res,tt)
}
res=res[order(res[,1]),]
res=res[seq(1,nrow(res),by=2),]
rs=rs[-res[,1],]
idnecessarie=rs$Submission.ID
n=nrow(rs)
esistente=rep(FALSE,n)
for(f in dir()){
nome=unlist(strsplit(f,".",fixed=TRUE))
nome[1]=substr(nome[1],1,4)
esistente[idnecessarie==nome[1]]=TRUE
nome=paste(nome,collapse=".")
file.rename(f,nome)
}
idnecessarie[!esistente]
source('~/Dropbox/Congressi/sis2014/libro-abstracts/allpaper/controllo-file-usb.R', echo=TRUE)
source('~/Dropbox/Congressi/sis2014/libro-abstracts/boa/allpapers/cont.R', echo=TRUE)
source('~/Dropbox/Congressi/sis2014/libro-abstracts/boa/allpapers/cont.R', echo=TRUE)
source('~/Dropbox/Congressi/sis2014/libro-abstracts/boa/allpapers/cont.R', echo=TRUE)
substr(dir(),1,4)
as.numeric(substr(dir(),1,4))
file.presenti=as.numeric(substr(dir(),1,4))
file.presenti[which(!(file.presenti%in%idnecessarie))]
!(file.presenti%in%idnecessarie)
file.presenti=as.numeric(substr(dir(),1,4))
file.presenti=file.presenti[!is.na(file.presenti)]
file.presenti[which(!(file.presenti%in%idnecessarie))]
table(file.presenti)
tab=table(file.presenti)
tab[tab>1]
